{
  "description": "View key AWS SNS metrics with an out of the box dashboard.",
  "image": "data:image/svg+xml;base64,[encoded data, 4380 characters]",
  "layout": [
    {
      "h": 6,
      "i": "4eb87f89-0213-4773-9b06-6aecc6701898",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 0
    },
    {
      "h": 6,
      "i": "7a010b4e-ea7c-4a45-a9eb-93af650c45b4",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 0
    },
    {
      "h": 6,
      "i": "2299d4e3-6c40-4bf2-a550-c7bb8a7acd38",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 6
    },
    {
      "h": 6,
      "i": "16eec8b7-de1a-4039-b180-24c7a6704b6e",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 6
    }
  ],
  "panelMap": {},
  "tags": [],
  "title": "SNS Overview",
  "uploadedGrafana": false,
  "variables": {
    "51f4fa2b-89c7-47c2-9795-f32cffaab985": {
      "allSelected": false,
      "customValue": "",
      "description": "AWS Account ID",
      "id": "51f4fa2b-89c7-47c2-9795-f32cffaab985",
      "key": "51f4fa2b-89c7-47c2-9795-f32cffaab985",
      "modificationUUID": "b7a6b06b-fa1f-4fb8-b70e-6bd9b350f29e",
      "multiSelect": false,
      "name": "Account",
      "order": 0,
      "queryValue": "SELECT DISTINCT JSONExtractString(labels, 'cloud.account.id') AS `cloud.account.id`\nFROM signoz_metrics.distributed_time_series_v4_1day\nWHERE metric_name = 'aws_SNS_PublishSize_count' GROUP BY `cloud.account.id`",
      "showALLOption": false,
      "sort": "DISABLED",
      "textboxValue": "",
      "type": "QUERY"
    },
    "9faf0f4b-b245-4b3c-83a3-60cfa76dfeb0": {
      "allSelected": false,
      "customValue": "",
      "description": "Account Region",
      "id": "9faf0f4b-b245-4b3c-83a3-60cfa76dfeb0",
      "key": "9faf0f4b-b245-4b3c-83a3-60cfa76dfeb0",
      "modificationUUID": "8428a5de-bfd1-4a69-9601-63e3041cd556",
      "multiSelect": false,
      "name": "Region",
      "order": 1,
      "queryValue": "SELECT DISTINCT JSONExtractString(labels, 'cloud.region') AS region\nFROM signoz_metrics.distributed_time_series_v4_1day\nWHERE metric_name = 'aws_SNS_PublishSize_count' AND JSONExtractString(labels, 'cloud.account.id') IN {{.Account}} GROUP BY region",
      "showALLOption": false,
      "sort": "ASC",
      "textboxValue": "",
      "type": "QUERY"
    },
    "bfbdbcbe-a168-4d81-b108-36339e249116": {
      "allSelected": true,
      "customValue": "",
      "description": "SNS Topic Name",
      "id": "bfbdbcbe-a168-4d81-b108-36339e249116",
      "modificationUUID": "dfed7272-16dc-4eb6-99bf-7c82fc8e04f0",
      "multiSelect": true,
      "name": "Topic",
      "order": 2,
      "queryValue": "SELECT DISTINCT JSONExtractString(labels, 'TopicName') AS topic\nFROM signoz_metrics.distributed_time_series_v4_1day\nWHERE metric_name = 'aws_SNS_PublishSize_count' AND JSONExtractString(labels, 'cloud.account.id') IN {{.Account}} AND JSONExtractString(labels, 'cloud.region') IN {{.Region}}\nGROUP BY topic",
      "showALLOption": true,
      "sort": "ASC",
      "textboxValue": "",
      "type": "QUERY"
    }
  },
  "version": "v4",
  "widgets": [
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "4eb87f89-0213-4773-9b06-6aecc6701898",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_SNS_NumberOfMessagesPublished_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_SNS_NumberOfMessagesPublished_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "8fd51b53",
                    "key": {
                      "dataType": "string",
                      "id": "TopicName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "TopicName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Topic"
                    ]
                  },
                  {
                    "id": "b18187c3",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "eebe4578",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.account.id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.account.id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "TopicName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "TopicName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{TopicName}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "9c67615a-55f7-42da-835c-86922f2ff8bb",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Number of Messages Published",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "7a010b4e-ea7c-4a45-a9eb-93af650c45b4",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_SNS_PublishSize_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_SNS_PublishSize_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "1aa0d1a9",
                    "key": {
                      "dataType": "string",
                      "id": "TopicName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "TopicName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Topic"
                    ]
                  },
                  {
                    "id": "62255cff",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "17c7153e",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.account.id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.account.id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "TopicName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "TopicName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{TopicName}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "a635a15b-dfe6-4617-a82e-29d93e27deaf",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Published Message Size",
      "yAxisUnit": "decbytes"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "2299d4e3-6c40-4bf2-a550-c7bb8a7acd38",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_SNS_NumberOfNotificationsDelivered_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_SNS_NumberOfNotificationsDelivered_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "c96a4ac0",
                    "key": {
                      "dataType": "string",
                      "id": "TopicName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "TopicName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Topic"
                    ]
                  },
                  {
                    "id": "8ca86829",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "8a444f66",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.account.id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.account.id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "TopicName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "TopicName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{TopicName}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "0d2fc26c-9b21-4dfc-b631-64b7c8d3bd71",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Number of Notifications Delivered",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "16eec8b7-de1a-4039-b180-24c7a6704b6e",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_SNS_NumberOfNotificationsFailed_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_SNS_NumberOfNotificationsFailed_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "6175f3d5",
                    "key": {
                      "dataType": "string",
                      "id": "TopicName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "TopicName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Topic"
                    ]
                  },
                  {
                    "id": "e2084931",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "0b05209a",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.account.id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.account.id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "TopicName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "TopicName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{TopicName}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "526247af-6ac9-42ff-83e9-cce0e32a9e63",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Number of Notifications Failed",
      "yAxisUnit": "none"
    }
  ]
}
